aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.Table

Contents

- Commands
- Data passed in the commands

Synopsis

- data CreateTable = CreateTable {
  - createTableName :: Text
  - createAttributeDefinitions :: [AttributeDefinition]
  - createKeySchema :: KeySchema
  - createProvisionedThroughput :: ProvisionedThroughput
  - createLocalSecondaryIndexes :: [LocalSecondaryIndex]
  - createGlobalSecondaryIndexes :: [GlobalSecondaryIndex]
  }
- createTable :: Text -> [AttributeDefinition] -> KeySchema -> ProvisionedThroughput -> CreateTable
- newtype CreateTableResult = CreateTableResult {
  - ctStatus :: TableDescription
  }
- data DescribeTable = DescribeTable {
  - dTableName :: Text
  }
- newtype DescribeTableResult = DescribeTableResult {
  - dtStatus :: TableDescription
  }
- data UpdateTable = UpdateTable {
  - updateTableName :: Text
  - updateProvisionedThroughput :: ProvisionedThroughput
  - updateGlobalSecondaryIndexUpdates :: [GlobalSecondaryIndexUpdate]
  }
- newtype UpdateTableResult = UpdateTableResult {
  - uStatus :: TableDescription
  }
- data DeleteTable = DeleteTable {
  - deleteTableName :: Text
  }
- newtype DeleteTableResult = DeleteTableResult {
  - dStatus :: TableDescription
  }
- data ListTables = ListTables
- newtype ListTablesResult = ListTablesResult {
  - tableNames :: [Text]
  }
- data AttributeType
  - = AttrString
  - | AttrNumber
  - | AttrBinary
- data AttributeDefinition = AttributeDefinition {
  - attributeName :: Text
  - attributeType :: AttributeType
  }
- data KeySchema
  - = HashOnly Text
  - | HashAndRange Text Text
- data Projection
  - = ProjectKeysOnly
  - | ProjectAll
  - | ProjectInclude [Text]
- data LocalSecondaryIndex = LocalSecondaryIndex {
  - localIndexName :: Text
  - localKeySchema :: KeySchema
  - localProjection :: Projection
  }
- data LocalSecondaryIndexStatus = LocalSecondaryIndexStatus {
  - locStatusIndexName :: Text
  - locStatusIndexSizeBytes :: Integer
  - locStatusItemCount :: Integer
  - locStatusKeySchema :: KeySchema
  - locStatusProjection :: Projection
  }
- data ProvisionedThroughput = ProvisionedThroughput {
  - readCapacityUnits :: Int
  - writeCapacityUnits :: Int
  }
- data ProvisionedThroughputStatus = ProvisionedThroughputStatus {
  - statusLastDecreaseDateTime :: UTCTime
  - statusLastIncreaseDateTime :: UTCTime
  - statusNumberOfDecreasesToday :: Int
  - statusReadCapacityUnits :: Int
  - statusWriteCapacityUnits :: Int
  }
- data GlobalSecondaryIndex = GlobalSecondaryIndex {
  - globalIndexName :: Text
  - globalKeySchema :: KeySchema
  - globalProjection :: Projection
  - globalProvisionedThroughput :: ProvisionedThroughput
  }
- data GlobalSecondaryIndexStatus = GlobalSecondaryIndexStatus {
  - gStatusIndexName :: Text
  - gStatusIndexSizeBytes :: Integer
  - gStatusIndexStatus :: Text
  - gStatusItemCount :: Integer
  - gStatusKeySchema :: KeySchema
  - gStatusProjection :: Projection
  - gStatusProvisionedThroughput :: ProvisionedThroughputStatus
  }
- data GlobalSecondaryIndexUpdate = GlobalSecondaryIndexUpdate {
  - gUpdateIndexName :: Text
  - gUpdateProvisionedThroughput :: ProvisionedThroughput
  }
- data TableDescription = TableDescription {
  - rTableName :: Text
  - rTableSizeBytes :: Integer
  - rTableStatus :: Text
  - rCreationDateTime :: Maybe UTCTime
  - rItemCount :: Integer
  - rAttributeDefinitions :: [AttributeDefinition]
  - rKeySchema :: Maybe KeySchema
  - rProvisionedThroughput :: ProvisionedThroughputStatus
  - rLocalSecondaryIndexes :: [LocalSecondaryIndexStatus]
  - rGlobalSecondaryIndexes :: [GlobalSecondaryIndexStatus]
  }

# Commands

data CreateTable #

Constructors

CreateTable |

Fields

- createTableName :: Text
- createAttributeDefinitions :: [AttributeDefinition]

  only attributes appearing in a key must be listed here

- createKeySchema :: KeySchema
- createProvisionedThroughput :: ProvisionedThroughput
- createLocalSecondaryIndexes :: [LocalSecondaryIndex]

  at most 5 local secondary indices are allowed

- createGlobalSecondaryIndexes :: [GlobalSecondaryIndex]

#### Instances

Instances details

ToJSON CreateTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: CreateTable -> Value # toEncoding :: CreateTable -> Encoding # toJSONList :: [CreateTable] -> Value # toEncodingList :: [CreateTable] -> Encoding # omitField :: CreateTable -> Bool #
SignQuery CreateTable # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration CreateTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration CreateTable = DdbConfiguration

Methods

signQuery :: CreateTable -> ServiceConfiguration CreateTable queryType -> SignatureData -> SignedQuery #

Generic CreateTable # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep CreateTable |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep CreateTable = D1 ('MetaData "CreateTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "CreateTable" 'PrefixI 'True) ((S1 ('MetaSel ('Just "createTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "createAttributeDefinitions") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [AttributeDefinition]) :*: S1 ('MetaSel ('Just "createKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema))) :*: (S1 ('MetaSel ('Just "createProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput) :*: (S1 ('MetaSel ('Just "createLocalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [LocalSecondaryIndex]) :*: S1 ('MetaSel ('Just "createGlobalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [GlobalSecondaryIndex])))))

Methods

from :: CreateTable -> Rep CreateTable x #

to :: Rep CreateTable x -> CreateTable #

Show CreateTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> CreateTable -> ShowS # show :: CreateTable -> String # showList :: [CreateTable] -> ShowS #
Transaction CreateTable CreateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type ServiceConfiguration CreateTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration CreateTable = DdbConfiguration
type Rep CreateTable # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep CreateTable = D1 ('MetaData "CreateTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "CreateTable" 'PrefixI 'True) ((S1 ('MetaSel ('Just "createTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "createAttributeDefinitions") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [AttributeDefinition]) :*: S1 ('MetaSel ('Just "createKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema))) :*: (S1 ('MetaSel ('Just "createProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput) :*: (S1 ('MetaSel ('Just "createLocalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [LocalSecondaryIndex]) :*: S1 ('MetaSel ('Just "createGlobalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [GlobalSecondaryIndex])))))

createTable #

Arguments

:: Text | Table name
-> [AttributeDefinition] |
-> KeySchema |
-> ProvisionedThroughput |
-> CreateTable |

newtype CreateTableResult #

Constructors

CreateTableResult |

Fields

- ctStatus :: TableDescription

#### Instances

Instances details

FromJSON CreateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser CreateTableResult # parseJSONList :: Value -> Parser [CreateTableResult] # omittedField :: Maybe CreateTableResult #
AsMemoryResponse CreateTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse CreateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse CreateTableResult = TableDescription

Methods

loadToMemory :: CreateTableResult -> ResourceT IO (MemoryResponse CreateTableResult) #

Show CreateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> CreateTableResult -> ShowS # show :: CreateTableResult -> String # showList :: [CreateTableResult] -> ShowS #
ResponseConsumer r CreateTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata CreateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata CreateTableResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata CreateTableResult) -> HTTPResponseConsumer CreateTableResult #

Transaction CreateTable CreateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type MemoryResponse CreateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse CreateTableResult = TableDescription
type ResponseMetadata CreateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata CreateTableResult = DdbResponse

data DescribeTable #

Constructors

DescribeTable |

Fields

- dTableName :: Text

#### Instances

Instances details

ToJSON DescribeTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: DescribeTable -> Value # toEncoding :: DescribeTable -> Encoding # toJSONList :: [DescribeTable] -> Value # toEncodingList :: [DescribeTable] -> Encoding # omitField :: DescribeTable -> Bool #
SignQuery DescribeTable # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration DescribeTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DescribeTable = DdbConfiguration

Methods

signQuery :: DescribeTable -> ServiceConfiguration DescribeTable queryType -> SignatureData -> SignedQuery #

Generic DescribeTable # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep DescribeTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep DescribeTable = D1 ('MetaData "DescribeTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "DescribeTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "dTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

Methods

from :: DescribeTable -> Rep DescribeTable x #

to :: Rep DescribeTable x -> DescribeTable #

Show DescribeTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> DescribeTable -> ShowS # show :: DescribeTable -> String # showList :: [DescribeTable] -> ShowS #
Transaction DescribeTable DescribeTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type ServiceConfiguration DescribeTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DescribeTable = DdbConfiguration
type Rep DescribeTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep DescribeTable = D1 ('MetaData "DescribeTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "DescribeTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "dTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

newtype DescribeTableResult #

Constructors

DescribeTableResult |

Fields

- dtStatus :: TableDescription

#### Instances

Instances details

FromJSON DescribeTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser DescribeTableResult # parseJSONList :: Value -> Parser [DescribeTableResult] # omittedField :: Maybe DescribeTableResult #
AsMemoryResponse DescribeTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse DescribeTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DescribeTableResult = TableDescription

Methods

loadToMemory :: DescribeTableResult -> ResourceT IO (MemoryResponse DescribeTableResult) #

Show DescribeTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> DescribeTableResult -> ShowS # show :: DescribeTableResult -> String # showList :: [DescribeTableResult] -> ShowS #
ResponseConsumer r DescribeTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata DescribeTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DescribeTableResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DescribeTableResult) -> HTTPResponseConsumer DescribeTableResult #

Transaction DescribeTable DescribeTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type MemoryResponse DescribeTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DescribeTableResult = TableDescription
type ResponseMetadata DescribeTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DescribeTableResult = DdbResponse

data UpdateTable #

Constructors

UpdateTable |

Fields

- updateTableName :: Text
- updateProvisionedThroughput :: ProvisionedThroughput
- updateGlobalSecondaryIndexUpdates :: [GlobalSecondaryIndexUpdate]

#### Instances

Instances details

ToJSON UpdateTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: UpdateTable -> Value # toEncoding :: UpdateTable -> Encoding # toJSONList :: [UpdateTable] -> Value # toEncodingList :: [UpdateTable] -> Encoding # omitField :: UpdateTable -> Bool #
SignQuery UpdateTable # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration UpdateTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration UpdateTable = DdbConfiguration

Methods

signQuery :: UpdateTable -> ServiceConfiguration UpdateTable queryType -> SignatureData -> SignedQuery #

Generic UpdateTable # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep UpdateTable |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep UpdateTable = D1 ('MetaData "UpdateTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "UpdateTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "updateTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "updateProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput) :*: S1 ('MetaSel ('Just "updateGlobalSecondaryIndexUpdates") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [GlobalSecondaryIndexUpdate]))))

Methods

from :: UpdateTable -> Rep UpdateTable x #

to :: Rep UpdateTable x -> UpdateTable #

Show UpdateTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> UpdateTable -> ShowS # show :: UpdateTable -> String # showList :: [UpdateTable] -> ShowS #
Transaction UpdateTable UpdateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type ServiceConfiguration UpdateTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration UpdateTable = DdbConfiguration
type Rep UpdateTable # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep UpdateTable = D1 ('MetaData "UpdateTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "UpdateTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "updateTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "updateProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput) :*: S1 ('MetaSel ('Just "updateGlobalSecondaryIndexUpdates") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [GlobalSecondaryIndexUpdate]))))

newtype UpdateTableResult #

Constructors

UpdateTableResult |

Fields

- uStatus :: TableDescription

#### Instances

Instances details

FromJSON UpdateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser UpdateTableResult # parseJSONList :: Value -> Parser [UpdateTableResult] # omittedField :: Maybe UpdateTableResult #
AsMemoryResponse UpdateTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse UpdateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse UpdateTableResult = TableDescription

Methods

loadToMemory :: UpdateTableResult -> ResourceT IO (MemoryResponse UpdateTableResult) #

Show UpdateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> UpdateTableResult -> ShowS # show :: UpdateTableResult -> String # showList :: [UpdateTableResult] -> ShowS #
ResponseConsumer r UpdateTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata UpdateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata UpdateTableResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata UpdateTableResult) -> HTTPResponseConsumer UpdateTableResult #

Transaction UpdateTable UpdateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type MemoryResponse UpdateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse UpdateTableResult = TableDescription
type ResponseMetadata UpdateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata UpdateTableResult = DdbResponse

data DeleteTable #

Constructors

DeleteTable |

Fields

- deleteTableName :: Text

#### Instances

Instances details

ToJSON DeleteTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: DeleteTable -> Value # toEncoding :: DeleteTable -> Encoding # toJSONList :: [DeleteTable] -> Value # toEncodingList :: [DeleteTable] -> Encoding # omitField :: DeleteTable -> Bool #
SignQuery DeleteTable # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration DeleteTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DeleteTable = DdbConfiguration

Methods

signQuery :: DeleteTable -> ServiceConfiguration DeleteTable queryType -> SignatureData -> SignedQuery #

Generic DeleteTable # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep DeleteTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep DeleteTable = D1 ('MetaData "DeleteTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "DeleteTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "deleteTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

Methods

from :: DeleteTable -> Rep DeleteTable x #

to :: Rep DeleteTable x -> DeleteTable #

Show DeleteTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> DeleteTable -> ShowS # show :: DeleteTable -> String # showList :: [DeleteTable] -> ShowS #
Transaction DeleteTable DeleteTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type ServiceConfiguration DeleteTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DeleteTable = DdbConfiguration
type Rep DeleteTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep DeleteTable = D1 ('MetaData "DeleteTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "DeleteTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "deleteTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

newtype DeleteTableResult #

Constructors

DeleteTableResult |

Fields

- dStatus :: TableDescription

#### Instances

Instances details

FromJSON DeleteTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser DeleteTableResult # parseJSONList :: Value -> Parser [DeleteTableResult] # omittedField :: Maybe DeleteTableResult #
AsMemoryResponse DeleteTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse DeleteTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DeleteTableResult = TableDescription

Methods

loadToMemory :: DeleteTableResult -> ResourceT IO (MemoryResponse DeleteTableResult) #

Show DeleteTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> DeleteTableResult -> ShowS # show :: DeleteTableResult -> String # showList :: [DeleteTableResult] -> ShowS #
ResponseConsumer r DeleteTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata DeleteTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DeleteTableResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteTableResult) -> HTTPResponseConsumer DeleteTableResult #

Transaction DeleteTable DeleteTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type MemoryResponse DeleteTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DeleteTableResult = TableDescription
type ResponseMetadata DeleteTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DeleteTableResult = DdbResponse

data ListTables #

TODO: currently this does not support restarting a cutoff query because of size.

Constructors

ListTables |

#### Instances

Instances details

ToJSON ListTables # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: ListTables -> Value # toEncoding :: ListTables -> Encoding # toJSONList :: [ListTables] -> Value # toEncodingList :: [ListTables] -> Encoding # omitField :: ListTables -> Bool #
SignQuery ListTables # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration ListTables |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration ListTables = DdbConfiguration

Methods

signQuery :: ListTables -> ServiceConfiguration ListTables queryType -> SignatureData -> SignedQuery #

Show ListTables # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> ListTables -> ShowS # show :: ListTables -> String # showList :: [ListTables] -> ShowS #
Transaction ListTables ListTablesResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type ServiceConfiguration ListTables # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration ListTables = DdbConfiguration

newtype ListTablesResult #

Constructors

ListTablesResult |

Fields

- tableNames :: [Text]

#### Instances

Instances details

FromJSON ListTablesResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser ListTablesResult # parseJSONList :: Value -> Parser [ListTablesResult] # omittedField :: Maybe ListTablesResult #
AsMemoryResponse ListTablesResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse ListTablesResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse ListTablesResult = [Text]

Methods

loadToMemory :: ListTablesResult -> ResourceT IO (MemoryResponse ListTablesResult) #

Generic ListTablesResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep ListTablesResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep ListTablesResult = D1 ('MetaData "ListTablesResult" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'True) (C1 ('MetaCons "ListTablesResult" 'PrefixI 'True) (S1 ('MetaSel ('Just "tableNames") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Text])))

Methods

from :: ListTablesResult -> Rep ListTablesResult x #

to :: Rep ListTablesResult x -> ListTablesResult #

Show ListTablesResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> ListTablesResult -> ShowS # show :: ListTablesResult -> String # showList :: [ListTablesResult] -> ShowS #
ResponseConsumer r ListTablesResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata ListTablesResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata ListTablesResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ListTablesResult) -> HTTPResponseConsumer ListTablesResult #

Transaction ListTables ListTablesResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type MemoryResponse ListTablesResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse ListTablesResult = [Text]
type ResponseMetadata ListTablesResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata ListTablesResult = DdbResponse
type Rep ListTablesResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep ListTablesResult = D1 ('MetaData "ListTablesResult" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'True) (C1 ('MetaCons "ListTablesResult" 'PrefixI 'True) (S1 ('MetaSel ('Just "tableNames") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Text])))

# Data passed in the commands

data AttributeType #

The type of a key attribute that appears in the table key or as a key in one of the indices.

Constructors

AttrString |
AttrNumber |
AttrBinary |

#### Instances

Instances details

FromJSON AttributeType # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser AttributeType # parseJSONList :: Value -> Parser [AttributeType] # omittedField :: Maybe AttributeType #
ToJSON AttributeType # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: AttributeType -> Value # toEncoding :: AttributeType -> Encoding # toJSONList :: [AttributeType] -> Value # toEncodingList :: [AttributeType] -> Encoding # omitField :: AttributeType -> Bool #
Bounded AttributeType # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods minBound :: AttributeType # maxBound :: AttributeType #
Enum AttributeType # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Methods

succ :: AttributeType -> AttributeType #

pred :: AttributeType -> AttributeType #

toEnum :: Int -> AttributeType #

fromEnum :: AttributeType -> Int #

enumFrom :: AttributeType -> [AttributeType] #

enumFromThen :: AttributeType -> AttributeType -> [AttributeType] #

enumFromTo :: AttributeType -> AttributeType -> [AttributeType] #

enumFromThenTo :: AttributeType -> AttributeType -> AttributeType -> [AttributeType] #

Generic AttributeType # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep AttributeType |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep AttributeType = D1 ('MetaData "AttributeType" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "AttrString" 'PrefixI 'False) (U1 :: Type -> Type) :+: (C1 ('MetaCons "AttrNumber" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "AttrBinary" 'PrefixI 'False) (U1 :: Type -> Type)))

Methods

from :: AttributeType -> Rep AttributeType x #

to :: Rep AttributeType x -> AttributeType #

Read AttributeType # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods readsPrec :: Int -> ReadS AttributeType # readList :: ReadS [AttributeType] # readPrec :: ReadPrec AttributeType # readListPrec :: ReadPrec [AttributeType] #
Show AttributeType # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> AttributeType -> ShowS # show :: AttributeType -> String # showList :: [AttributeType] -> ShowS #
Eq AttributeType # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods (==) :: AttributeType -> AttributeType -> Bool # (/=) :: AttributeType -> AttributeType -> Bool #
Ord AttributeType # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Methods

compare :: AttributeType -> AttributeType -> Ordering #

(<) :: AttributeType -> AttributeType -> Bool #

(<=) :: AttributeType -> AttributeType -> Bool #

(>) :: AttributeType -> AttributeType -> Bool #

(>=) :: AttributeType -> AttributeType -> Bool #

max :: AttributeType -> AttributeType -> AttributeType #

min :: AttributeType -> AttributeType -> AttributeType #

type Rep AttributeType # |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep AttributeType = D1 ('MetaData "AttributeType" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "AttrString" 'PrefixI 'False) (U1 :: Type -> Type) :+: (C1 ('MetaCons "AttrNumber" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "AttrBinary" 'PrefixI 'False) (U1 :: Type -> Type)))

data AttributeDefinition #

A key attribute that appears in the table key or as a key in one of the indices.

Constructors

AttributeDefinition |

Fields

- attributeName :: Text
- attributeType :: AttributeType

#### Instances

Instances details

FromJSON AttributeDefinition # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser AttributeDefinition # parseJSONList :: Value -> Parser [AttributeDefinition] # omittedField :: Maybe AttributeDefinition #
ToJSON AttributeDefinition # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: AttributeDefinition -> Value # toEncoding :: AttributeDefinition -> Encoding # toJSONList :: [AttributeDefinition] -> Value # toEncodingList :: [AttributeDefinition] -> Encoding # omitField :: AttributeDefinition -> Bool #
Generic AttributeDefinition # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep AttributeDefinition |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep AttributeDefinition = D1 ('MetaData "AttributeDefinition" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "AttributeDefinition" 'PrefixI 'True) (S1 ('MetaSel ('Just "attributeName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "attributeType") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 AttributeType)))

Methods

from :: AttributeDefinition -> Rep AttributeDefinition x #

to :: Rep AttributeDefinition x -> AttributeDefinition #

Read AttributeDefinition # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods readsPrec :: Int -> ReadS AttributeDefinition # readList :: ReadS [AttributeDefinition] # readPrec :: ReadPrec AttributeDefinition # readListPrec :: ReadPrec [AttributeDefinition] #
Show AttributeDefinition # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> AttributeDefinition -> ShowS # show :: AttributeDefinition -> String # showList :: [AttributeDefinition] -> ShowS #
Eq AttributeDefinition # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods (==) :: AttributeDefinition -> AttributeDefinition -> Bool # (/=) :: AttributeDefinition -> AttributeDefinition -> Bool #
Ord AttributeDefinition # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Methods

compare :: AttributeDefinition -> AttributeDefinition -> Ordering #

(<) :: AttributeDefinition -> AttributeDefinition -> Bool #

(<=) :: AttributeDefinition -> AttributeDefinition -> Bool #

(>) :: AttributeDefinition -> AttributeDefinition -> Bool #

(>=) :: AttributeDefinition -> AttributeDefinition -> Bool #

max :: AttributeDefinition -> AttributeDefinition -> AttributeDefinition #

min :: AttributeDefinition -> AttributeDefinition -> AttributeDefinition #

type Rep AttributeDefinition # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep AttributeDefinition = D1 ('MetaData "AttributeDefinition" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "AttributeDefinition" 'PrefixI 'True) (S1 ('MetaSel ('Just "attributeName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "attributeType") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 AttributeType)))

data KeySchema #

The key schema can either be a hash of a single attribute name or a hash attribute name and a range attribute name.

Constructors

HashOnly Text |
HashAndRange Text Text |

#### Instances

Instances details

FromJSON KeySchema # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser KeySchema # parseJSONList :: Value -> Parser [KeySchema] # omittedField :: Maybe KeySchema #
ToJSON KeySchema # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: KeySchema -> Value # toEncoding :: KeySchema -> Encoding # toJSONList :: [KeySchema] -> Value # toEncodingList :: [KeySchema] -> Encoding # omitField :: KeySchema -> Bool #
Generic KeySchema # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep KeySchema |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep KeySchema = D1 ('MetaData "KeySchema" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "HashOnly" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)) :+: C1 ('MetaCons "HashAndRange" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

Methods

from :: KeySchema -> Rep KeySchema x #

to :: Rep KeySchema x -> KeySchema #

Read KeySchema # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods readsPrec :: Int -> ReadS KeySchema # readList :: ReadS [KeySchema] # readPrec :: ReadPrec KeySchema # readListPrec :: ReadPrec [KeySchema] #
Show KeySchema # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> KeySchema -> ShowS # show :: KeySchema -> String # showList :: [KeySchema] -> ShowS #
Eq KeySchema # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods (==) :: KeySchema -> KeySchema -> Bool # (/=) :: KeySchema -> KeySchema -> Bool #
Ord KeySchema # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods compare :: KeySchema -> KeySchema -> Ordering # (<) :: KeySchema -> KeySchema -> Bool # (<=) :: KeySchema -> KeySchema -> Bool # (>) :: KeySchema -> KeySchema -> Bool # (>=) :: KeySchema -> KeySchema -> Bool # max :: KeySchema -> KeySchema -> KeySchema # min :: KeySchema -> KeySchema -> KeySchema #
type Rep KeySchema # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep KeySchema = D1 ('MetaData "KeySchema" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "HashOnly" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)) :+: C1 ('MetaCons "HashAndRange" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

data Projection #

This determines which attributes are projected into a secondary index.

Constructors

ProjectKeysOnly |
ProjectAll |
ProjectInclude [Text] |

#### Instances

Instances details

FromJSON Projection # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser Projection # parseJSONList :: Value -> Parser [Projection] # omittedField :: Maybe Projection #
ToJSON Projection # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: Projection -> Value # toEncoding :: Projection -> Encoding # toJSONList :: [Projection] -> Value # toEncodingList :: [Projection] -> Encoding # omitField :: Projection -> Bool #
Show Projection # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> Projection -> ShowS # show :: Projection -> String # showList :: [Projection] -> ShowS #

data LocalSecondaryIndex #

Describes a single local secondary index. The KeySchema MUST share the same hash key attribute as the parent table, only the range key can differ.

Constructors

LocalSecondaryIndex |

Fields

- localIndexName :: Text
- localKeySchema :: KeySchema
- localProjection :: Projection

#### Instances

Instances details

FromJSON LocalSecondaryIndex # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser LocalSecondaryIndex # parseJSONList :: Value -> Parser [LocalSecondaryIndex] # omittedField :: Maybe LocalSecondaryIndex #
ToJSON LocalSecondaryIndex # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: LocalSecondaryIndex -> Value # toEncoding :: LocalSecondaryIndex -> Encoding # toJSONList :: [LocalSecondaryIndex] -> Value # toEncodingList :: [LocalSecondaryIndex] -> Encoding # omitField :: LocalSecondaryIndex -> Bool #
Generic LocalSecondaryIndex # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep LocalSecondaryIndex |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep LocalSecondaryIndex = D1 ('MetaData "LocalSecondaryIndex" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "LocalSecondaryIndex" 'PrefixI 'True) (S1 ('MetaSel ('Just "localIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "localKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema) :*: S1 ('MetaSel ('Just "localProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection))))

Methods

from :: LocalSecondaryIndex -> Rep LocalSecondaryIndex x #

to :: Rep LocalSecondaryIndex x -> LocalSecondaryIndex #

Show LocalSecondaryIndex # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> LocalSecondaryIndex -> ShowS # show :: LocalSecondaryIndex -> String # showList :: [LocalSecondaryIndex] -> ShowS #
type Rep LocalSecondaryIndex # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep LocalSecondaryIndex = D1 ('MetaData "LocalSecondaryIndex" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "LocalSecondaryIndex" 'PrefixI 'True) (S1 ('MetaSel ('Just "localIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "localKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema) :*: S1 ('MetaSel ('Just "localProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection))))

data LocalSecondaryIndexStatus #

This is returned by AWS to describe the local secondary index.

Constructors

LocalSecondaryIndexStatus |

Fields

- locStatusIndexName :: Text
- locStatusIndexSizeBytes :: Integer
- locStatusItemCount :: Integer
- locStatusKeySchema :: KeySchema
- locStatusProjection :: Projection

#### Instances

Instances details

FromJSON LocalSecondaryIndexStatus # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser LocalSecondaryIndexStatus # parseJSONList :: Value -> Parser [LocalSecondaryIndexStatus] # omittedField :: Maybe LocalSecondaryIndexStatus #
Generic LocalSecondaryIndexStatus # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep LocalSecondaryIndexStatus |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep LocalSecondaryIndexStatus = D1 ('MetaData "LocalSecondaryIndexStatus" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "LocalSecondaryIndexStatus" 'PrefixI 'True) ((S1 ('MetaSel ('Just "locStatusIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "locStatusIndexSizeBytes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer)) :*: (S1 ('MetaSel ('Just "locStatusItemCount") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer) :*: (S1 ('MetaSel ('Just "locStatusKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema) :*: S1 ('MetaSel ('Just "locStatusProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection)))))

Methods

from :: LocalSecondaryIndexStatus -> Rep LocalSecondaryIndexStatus x #

to :: Rep LocalSecondaryIndexStatus x -> LocalSecondaryIndexStatus #

Show LocalSecondaryIndexStatus # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> LocalSecondaryIndexStatus -> ShowS # show :: LocalSecondaryIndexStatus -> String # showList :: [LocalSecondaryIndexStatus] -> ShowS #
type Rep LocalSecondaryIndexStatus # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep LocalSecondaryIndexStatus = D1 ('MetaData "LocalSecondaryIndexStatus" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "LocalSecondaryIndexStatus" 'PrefixI 'True) ((S1 ('MetaSel ('Just "locStatusIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "locStatusIndexSizeBytes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer)) :*: (S1 ('MetaSel ('Just "locStatusItemCount") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer) :*: (S1 ('MetaSel ('Just "locStatusKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema) :*: S1 ('MetaSel ('Just "locStatusProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection)))))

data ProvisionedThroughput #

The target provisioned throughput you are requesting for the table or global secondary index.

Constructors

ProvisionedThroughput |

Fields

- readCapacityUnits :: Int
- writeCapacityUnits :: Int

#### Instances

Instances details

FromJSON ProvisionedThroughput # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser ProvisionedThroughput # parseJSONList :: Value -> Parser [ProvisionedThroughput] # omittedField :: Maybe ProvisionedThroughput #
ToJSON ProvisionedThroughput # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: ProvisionedThroughput -> Value # toEncoding :: ProvisionedThroughput -> Encoding # toJSONList :: [ProvisionedThroughput] -> Value # toEncodingList :: [ProvisionedThroughput] -> Encoding # omitField :: ProvisionedThroughput -> Bool #
Generic ProvisionedThroughput # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep ProvisionedThroughput |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep ProvisionedThroughput = D1 ('MetaData "ProvisionedThroughput" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "ProvisionedThroughput" 'PrefixI 'True) (S1 ('MetaSel ('Just "readCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int) :*: S1 ('MetaSel ('Just "writeCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int)))

Methods

from :: ProvisionedThroughput -> Rep ProvisionedThroughput x #

to :: Rep ProvisionedThroughput x -> ProvisionedThroughput #

Show ProvisionedThroughput # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> ProvisionedThroughput -> ShowS # show :: ProvisionedThroughput -> String # showList :: [ProvisionedThroughput] -> ShowS #
type Rep ProvisionedThroughput # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep ProvisionedThroughput = D1 ('MetaData "ProvisionedThroughput" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "ProvisionedThroughput" 'PrefixI 'True) (S1 ('MetaSel ('Just "readCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int) :*: S1 ('MetaSel ('Just "writeCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int)))

data ProvisionedThroughputStatus #

This is returned by AWS as the status of the throughput for a table or global secondary index.

Constructors

ProvisionedThroughputStatus |

Fields

- statusLastDecreaseDateTime :: UTCTime
- statusLastIncreaseDateTime :: UTCTime
- statusNumberOfDecreasesToday :: Int
- statusReadCapacityUnits :: Int
- statusWriteCapacityUnits :: Int

#### Instances

Instances details

FromJSON ProvisionedThroughputStatus # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser ProvisionedThroughputStatus # parseJSONList :: Value -> Parser [ProvisionedThroughputStatus] # omittedField :: Maybe ProvisionedThroughputStatus #
Generic ProvisionedThroughputStatus # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep ProvisionedThroughputStatus |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep ProvisionedThroughputStatus = D1 ('MetaData "ProvisionedThroughputStatus" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "ProvisionedThroughputStatus" 'PrefixI 'True) ((S1 ('MetaSel ('Just "statusLastDecreaseDateTime") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 UTCTime) :*: S1 ('MetaSel ('Just "statusLastIncreaseDateTime") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 UTCTime)) :*: (S1 ('MetaSel ('Just "statusNumberOfDecreasesToday") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int) :*: (S1 ('MetaSel ('Just "statusReadCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int) :*: S1 ('MetaSel ('Just "statusWriteCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int)))))

Methods

from :: ProvisionedThroughputStatus -> Rep ProvisionedThroughputStatus x #

to :: Rep ProvisionedThroughputStatus x -> ProvisionedThroughputStatus #

Show ProvisionedThroughputStatus # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> ProvisionedThroughputStatus -> ShowS # show :: ProvisionedThroughputStatus -> String # showList :: [ProvisionedThroughputStatus] -> ShowS #
type Rep ProvisionedThroughputStatus # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep ProvisionedThroughputStatus = D1 ('MetaData "ProvisionedThroughputStatus" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "ProvisionedThroughputStatus" 'PrefixI 'True) ((S1 ('MetaSel ('Just "statusLastDecreaseDateTime") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 UTCTime) :*: S1 ('MetaSel ('Just "statusLastIncreaseDateTime") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 UTCTime)) :*: (S1 ('MetaSel ('Just "statusNumberOfDecreasesToday") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int) :*: (S1 ('MetaSel ('Just "statusReadCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int) :*: S1 ('MetaSel ('Just "statusWriteCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int)))))

data GlobalSecondaryIndex #

Describes a global secondary index.

Constructors

GlobalSecondaryIndex |

Fields

- globalIndexName :: Text
- globalKeySchema :: KeySchema
- globalProjection :: Projection
- globalProvisionedThroughput :: ProvisionedThroughput

#### Instances

Instances details

FromJSON GlobalSecondaryIndex # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser GlobalSecondaryIndex # parseJSONList :: Value -> Parser [GlobalSecondaryIndex] # omittedField :: Maybe GlobalSecondaryIndex #
ToJSON GlobalSecondaryIndex # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: GlobalSecondaryIndex -> Value # toEncoding :: GlobalSecondaryIndex -> Encoding # toJSONList :: [GlobalSecondaryIndex] -> Value # toEncodingList :: [GlobalSecondaryIndex] -> Encoding # omitField :: GlobalSecondaryIndex -> Bool #
Generic GlobalSecondaryIndex # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep GlobalSecondaryIndex |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep GlobalSecondaryIndex = D1 ('MetaData "GlobalSecondaryIndex" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "GlobalSecondaryIndex" 'PrefixI 'True) ((S1 ('MetaSel ('Just "globalIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "globalKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema)) :*: (S1 ('MetaSel ('Just "globalProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection) :*: S1 ('MetaSel ('Just "globalProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput))))

Methods

from :: GlobalSecondaryIndex -> Rep GlobalSecondaryIndex x #

to :: Rep GlobalSecondaryIndex x -> GlobalSecondaryIndex #

Show GlobalSecondaryIndex # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> GlobalSecondaryIndex -> ShowS # show :: GlobalSecondaryIndex -> String # showList :: [GlobalSecondaryIndex] -> ShowS #
type Rep GlobalSecondaryIndex # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep GlobalSecondaryIndex = D1 ('MetaData "GlobalSecondaryIndex" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "GlobalSecondaryIndex" 'PrefixI 'True) ((S1 ('MetaSel ('Just "globalIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "globalKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema)) :*: (S1 ('MetaSel ('Just "globalProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection) :*: S1 ('MetaSel ('Just "globalProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput))))

data GlobalSecondaryIndexStatus #

This is returned by AWS to describe the status of a global secondary index.

Constructors

GlobalSecondaryIndexStatus |

Fields

- gStatusIndexName :: Text
- gStatusIndexSizeBytes :: Integer
- gStatusIndexStatus :: Text
- gStatusItemCount :: Integer
- gStatusKeySchema :: KeySchema
- gStatusProjection :: Projection
- gStatusProvisionedThroughput :: ProvisionedThroughputStatus

#### Instances

Instances details

FromJSON GlobalSecondaryIndexStatus # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser GlobalSecondaryIndexStatus # parseJSONList :: Value -> Parser [GlobalSecondaryIndexStatus] # omittedField :: Maybe GlobalSecondaryIndexStatus #
Generic GlobalSecondaryIndexStatus # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep GlobalSecondaryIndexStatus |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep GlobalSecondaryIndexStatus = D1 ('MetaData "GlobalSecondaryIndexStatus" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "GlobalSecondaryIndexStatus" 'PrefixI 'True) ((S1 ('MetaSel ('Just "gStatusIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "gStatusIndexSizeBytes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer) :*: S1 ('MetaSel ('Just "gStatusIndexStatus") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text))) :*: ((S1 ('MetaSel ('Just "gStatusItemCount") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer) :*: S1 ('MetaSel ('Just "gStatusKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema)) :*: (S1 ('MetaSel ('Just "gStatusProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection) :*: S1 ('MetaSel ('Just "gStatusProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughputStatus)))))

Methods

from :: GlobalSecondaryIndexStatus -> Rep GlobalSecondaryIndexStatus x #

to :: Rep GlobalSecondaryIndexStatus x -> GlobalSecondaryIndexStatus #

Show GlobalSecondaryIndexStatus # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> GlobalSecondaryIndexStatus -> ShowS # show :: GlobalSecondaryIndexStatus -> String # showList :: [GlobalSecondaryIndexStatus] -> ShowS #
type Rep GlobalSecondaryIndexStatus # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep GlobalSecondaryIndexStatus = D1 ('MetaData "GlobalSecondaryIndexStatus" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "GlobalSecondaryIndexStatus" 'PrefixI 'True) ((S1 ('MetaSel ('Just "gStatusIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "gStatusIndexSizeBytes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer) :*: S1 ('MetaSel ('Just "gStatusIndexStatus") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text))) :*: ((S1 ('MetaSel ('Just "gStatusItemCount") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer) :*: S1 ('MetaSel ('Just "gStatusKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema)) :*: (S1 ('MetaSel ('Just "gStatusProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection) :*: S1 ('MetaSel ('Just "gStatusProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughputStatus)))))

data GlobalSecondaryIndexUpdate #

This is used to request a change in the provisioned throughput of a global secondary index as part of an `UpdateTable` operation.

Constructors

GlobalSecondaryIndexUpdate |

Fields

- gUpdateIndexName :: Text
- gUpdateProvisionedThroughput :: ProvisionedThroughput

#### Instances

Instances details

ToJSON GlobalSecondaryIndexUpdate # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: GlobalSecondaryIndexUpdate -> Value # toEncoding :: GlobalSecondaryIndexUpdate -> Encoding # toJSONList :: [GlobalSecondaryIndexUpdate] -> Value # toEncodingList :: [GlobalSecondaryIndexUpdate] -> Encoding # omitField :: GlobalSecondaryIndexUpdate -> Bool #
Generic GlobalSecondaryIndexUpdate # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep GlobalSecondaryIndexUpdate |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep GlobalSecondaryIndexUpdate = D1 ('MetaData "GlobalSecondaryIndexUpdate" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "GlobalSecondaryIndexUpdate" 'PrefixI 'True) (S1 ('MetaSel ('Just "gUpdateIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "gUpdateProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput)))

Methods

from :: GlobalSecondaryIndexUpdate -> Rep GlobalSecondaryIndexUpdate x #

to :: Rep GlobalSecondaryIndexUpdate x -> GlobalSecondaryIndexUpdate #

Show GlobalSecondaryIndexUpdate # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> GlobalSecondaryIndexUpdate -> ShowS # show :: GlobalSecondaryIndexUpdate -> String # showList :: [GlobalSecondaryIndexUpdate] -> ShowS #
type Rep GlobalSecondaryIndexUpdate # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep GlobalSecondaryIndexUpdate = D1 ('MetaData "GlobalSecondaryIndexUpdate" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "GlobalSecondaryIndexUpdate" 'PrefixI 'True) (S1 ('MetaSel ('Just "gUpdateIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "gUpdateProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput)))

data TableDescription #

This describes the table and is the return value from AWS for all the table-related commands.

Constructors

TableDescription |

Fields

- rTableName :: Text
- rTableSizeBytes :: Integer
- rTableStatus :: Text

  one of CREATING, UPDATING, DELETING, ACTIVE

- rCreationDateTime :: Maybe UTCTime
- rItemCount :: Integer
- rAttributeDefinitions :: [AttributeDefinition]
- rKeySchema :: Maybe KeySchema
- rProvisionedThroughput :: ProvisionedThroughputStatus
- rLocalSecondaryIndexes :: [LocalSecondaryIndexStatus]
- rGlobalSecondaryIndexes :: [GlobalSecondaryIndexStatus]

#### Instances

Instances details

FromJSON TableDescription # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser TableDescription # parseJSONList :: Value -> Parser [TableDescription] # omittedField :: Maybe TableDescription #
Generic TableDescription # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep TableDescription |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep TableDescription = D1 ('MetaData "TableDescription" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "TableDescription" 'PrefixI 'True) (((S1 ('MetaSel ('Just "rTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "rTableSizeBytes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer)) :*: (S1 ('MetaSel ('Just "rTableStatus") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "rCreationDateTime") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Maybe UTCTime)) :*: S1 ('MetaSel ('Just "rItemCount") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer)))) :*: ((S1 ('MetaSel ('Just "rAttributeDefinitions") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [AttributeDefinition]) :*: S1 ('MetaSel ('Just "rKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Maybe KeySchema))) :*: (S1 ('MetaSel ('Just "rProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughputStatus) :*: (S1 ('MetaSel ('Just "rLocalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [LocalSecondaryIndexStatus]) :*: S1 ('MetaSel ('Just "rGlobalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [GlobalSecondaryIndexStatus]))))))

Methods

from :: TableDescription -> Rep TableDescription x #

to :: Rep TableDescription x -> TableDescription #

Show TableDescription # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> TableDescription -> ShowS # show :: TableDescription -> String # showList :: [TableDescription] -> ShowS #
type Rep TableDescription # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep TableDescription = D1 ('MetaData "TableDescription" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-1gJaI1heVMh8dLODW8N7dd" 'False) (C1 ('MetaCons "TableDescription" 'PrefixI 'True) (((S1 ('MetaSel ('Just "rTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "rTableSizeBytes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer)) :*: (S1 ('MetaSel ('Just "rTableStatus") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "rCreationDateTime") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Maybe UTCTime)) :*: S1 ('MetaSel ('Just "rItemCount") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer)))) :*: ((S1 ('MetaSel ('Just "rAttributeDefinitions") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [AttributeDefinition]) :*: S1 ('MetaSel ('Just "rKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Maybe KeySchema))) :*: (S1 ('MetaSel ('Just "rProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughputStatus) :*: (S1 ('MetaSel ('Just "rLocalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [LocalSecondaryIndexStatus]) :*: S1 ('MetaSel ('Just "rGlobalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [GlobalSecondaryIndexStatus]))))))